"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Button_1 = __importDefault(require("../Button"));
const Icons_1 = __importDefault(require("../Icons"));
const style_1 = __importDefault(require("./style"));
const CitySelect_1 = __importDefault(require("../CitySelect"));
const City = ({ label, placeholder = '请选择', styleContainer = {}, stylesText = {}, stylesLabel = {}, currentData = '', onSubmit, }) => {
    const onCity = () => {
        (0, CitySelect_1.default)({
            title: '选择城市',
            currentData,
            onSumbit: (res) => {
                onSubmit === null || onSubmit === void 0 ? void 0 : onSubmit(res);
            }
        });
    };
    const renderArea = () => {
        var _a, _b, _c, _d, _e;
        let text = placeholder;
        if ((_a = currentData === null || currentData === void 0 ? void 0 : currentData.city) === null || _a === void 0 ? void 0 : _a.adCode) {
            text = (((_b = currentData === null || currentData === void 0 ? void 0 : currentData.prov) === null || _b === void 0 ? void 0 : _b.name) + ' ' || '') + (((_c = currentData === null || currentData === void 0 ? void 0 : currentData.city) === null || _c === void 0 ? void 0 : _c.name) + ' ' || '') + (((_d = currentData === null || currentData === void 0 ? void 0 : currentData.area) === null || _d === void 0 ? void 0 : _d.name) || '');
        }
        return (react_1.default.createElement(Button_1.default, { styleContainer: style_1.default.picker, onPress: onCity },
            react_1.default.createElement(react_native_1.Text, { style: [
                    style_1.default.pickerText,
                    Object.assign({}, stylesText),
                    ((_e = currentData === null || currentData === void 0 ? void 0 : currentData.city) === null || _e === void 0 ? void 0 : _e.adCode) ? { color: '#333' } : {},
                ], numberOfLines: 1 }, text),
            react_1.default.createElement(Icons_1.default, { name: 'arrowRight', color: '#ccc' })));
    };
    return (react_1.default.createElement(react_native_1.View, { style: [
            style_1.default.container,
            Object.assign({}, styleContainer)
        ] },
        label && react_1.default.createElement(react_native_1.Text, { style: [style_1.default.label, Object.assign({}, stylesLabel)] }, label),
        renderArea()));
};
exports.default = City;
